# pandas.Period.to_timestamp

`Period.``to_timestamp`()

  Return the Timestamp representation of the Period at the target frequency at the specified end (how) of the Period

  Parameters:

  freq : string or DateOffset

  > Target frequency. Default is ‘D’ if self.freq is week or longer and ‘S’ otherwise

  how : str, default ‘S’ (start)

  > ‘S’, ‘E’. Can be aliased as case insensitive ‘Start’, ‘Finish’, ‘Begin’, ‘End’

  Returns: | Timestamp

Scroll To Top